Bug Hunting Session
Bug 55212 - LOCALHELP: UI: Help <F1> and Help button in Conditional Formatting dialogs give empty page
Summary: LOCALHELP: UI: Help <F1> and Help button in Conditional Formatting dialogs gi...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 59411
Blocks: HelpGaps-NewFeatures Conditional-Formatting UnspecificHelp
  Show dependency treegraph
 
Reported: 2012-09-22 05:48 UTC by Rainer Bielefeld Retired
Modified: 2017-12-18 09:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-09-22 05:48:37 UTC
That's a complex function, not easy to understand (see Bug 54774, Bug 54940). Help should be available with 1 click on Help button, <f1> should lead to related help.

Currently there is no help button, <f1> in dialog leads to Help "Welcome to the LOdev Calc Help".

Compare with Help in Menu 'Format -> Cells', where a Help button is available and <f1> leads to correct Help.

I found that with with Server Installation of "LibreOffice 3.6.2.1 rc  German UI/ German Locale [Build-ID:  ba822cc] on German WIN7 Home Premium (64bit), in Menu
'Format -> Conditional Formatting -> Manage' 
'Format -> Conditional Formatting -> Conditional Formatting' 
I think that never worked with new CF dialog.

Still a problem with parallel installation of Master "LOdev  3.7.0.0.alpha0+   -  ENGLISH UI / German Locale  [Build ID: 24761a6]"  {tinderbox: @6, pull time 2012-09-18 23:21:04} on German WIN7 Home Premium (64bit)

Was ok with 3.5.6
Comment 1 Sören 2012-12-30 12:22:32 UTC
I can confirm the behavior in
Version 4.0.0.0.beta2 (Build ID: 4104d660979c57e1160b5135634f732918460a0)
on Ubuntu 12.04 (x86)

When pressing F1 in Format->Conditional Formatting->Manage one gets
https://help.libreoffice.org/scalc/sc.PushButton.25770.3?Language=en-US&System=UNIX&Version=4.0
which doesn't contain anything useful, and there neither is a Help button in the dialog. Opening for instance
https://help.libreoffice.org/Calc/Conditional_Formatting
instead on pressing F1 would be more sensibel.
Comment 2 A (Andy) 2015-02-08 09:00:34 UTC
Tested with LO 4.4.0.3, Win 8.1

The help buttons are now available, but currently still leading to an empty help page.
Comment 3 QA Administrators 2016-02-21 08:36:12 UTC Comment hidden (obsolete)
Comment 4 Timur 2016-03-10 19:03:04 UTC
Tested with LO 5.2+
The help buttons are available from LO 4.4, but still leading to an empty help page https://help.libreoffice.org/scalc/modules/scalc/ui/conditionalformatdialog/list?Language=en-US&System=WIN&Version=5.2.
Comment 5 Xisco Faulí 2017-10-17 08:08:26 UTC
Dear Gabor Kelemen,
This bug has been in ASSIGNED status for more than 3 months without any activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 6 Olivier Hallot 2017-12-16 13:50:47 UTC
This bug seems to have been fixed in the meantime.

F1 and Help button opens /text/scalc/01/05120000.xhp

Tested on master (6.1)
Comment 7 Rainer Bielefeld Retired 2017-12-17 08:43:17 UTC
Already fixed for Version: 5.4.2.2 Build-ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4 CPU-Threads: 4; Betriebssystem:Windows 6.1; UI-Render: Standard; Gebietsschema: de-DE (de_DE); Calc: group
Comment 8 Timur 2017-12-18 08:17:04 UTC
Can you please explain how it's fixed and add screenshots? 
When pressing F1 in Format->Conditional Formatting->Manage in 6.1+ I'm referred to https://help.libreoffice.org/latest/en-US/text/swriter/main0000.html so it DOESN'T look fixed to me.
Comment 9 Timur 2017-12-18 08:20:38 UTC
And in 6.0 beta:
https://help.libreoffice.org/scalc/modules/scalc/ui/condformatmanager/CONTAINER that is empty.
Comment 10 Rainer Bielefeld Retired 2017-12-18 08:59:09 UTC
(In reply to Timur from comment #9)
I'm talking about local Help (Gebietsschema: de-DE (de_DE), UI=de-DE)

Also works fine with local help for Version: 5.4.3.2 (x64)
Build-ID: 92a7159f7e4af62137622921e809f8546db437e5, CPU-Threads: 4; 
Betriebssystem:Windows 6.1; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group, my default user profile, Tango theme, UI=en-US

I can confirm that (en-US) online wiki-help opens empty page or similar, but that (IMHO) indicates a problem with the automated Help wiki creation, not with missing documentation .

The documentation does exist, so this one is fixed more or less, the problem that there is no access via the wiki help